package com.zjrs.zwnw.zj.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName(value = "RS_ZJ_GCCRC_DRLOG")
@ApiModel(value="RsZjGccrcDrlogPO对象", description="高层次人才认定导入日志表")
public class RsZjGccrcDrlogPO {

    @ApiModelProperty(value = "流水号")
    @TableId(value = "RS_ZJ_GCCRC_DRLOG_LSH", type = IdType.ASSIGN_UUID)
    private String rsZjGccrcDrlogLsh;

    @ApiModelProperty(value = "导入批号")
    @TableField("DRPH")
    private String drph;

    @ApiModelProperty(value = "导入结果：0失败，1成功")
    @TableField("DRJG")
    private String drjg;

    @ApiModelProperty(value = "失败原因")
    @TableField("SBYY")
    private String sbyy;

    @ApiModelProperty(value = "姓名")
    @TableField("AAC003")
    private String aac003;

    @ApiModelProperty(value = "国籍")
    @TableField("AAC161")
    private String aac161;

    @ApiModelProperty(value = "证件类型")
    @TableField("AAC058")
    private String aac058;

    @ApiModelProperty(value = "证件号码")
    @TableField("AAC147")
    private String aac147;

    @ApiModelProperty(value = "性别")
    @TableField("AAC004")
    private String aac004;

    @ApiModelProperty(value = "民族")
    @TableField("AAC005")
    private String aac005;

    @ApiModelProperty(value = "学历")
    @TableField("AAC011")
    private String aac011;

    @ApiModelProperty(value = "认定主要依据")
    @TableField("RDZYYJ")
    private String rdzyyj;

    @ApiModelProperty(value = "认定湛江人才卡类型")
    @TableField("RCKLX")
    private String rcklx;

    @ApiModelProperty(value = "职称专业名称")
    @TableField("ZCZYMC")
    private String zczymc;

    @ApiModelProperty(value = "单位名称")
    @TableField("DWMC")
    private String dwmc;

    @ApiModelProperty(value = "单位所在县市区")
    @TableField("GWSZXSQ")
    private String gwszxsq;

    @ApiModelProperty(value = "劳动合同期限")
    @TableField("LDHTQX")
    private String ldhtqx;

    @ApiModelProperty(value = "劳动合同截止期限")
    @TableField("LDHTJZRQ")
    private String ldhtjzrq;

    @ApiModelProperty(value = "签发日期")
    @TableField("QFSJ")
    private String qfsj;

    @ApiModelProperty(value = "有效日期")
    @TableField("YXRQ")
    private String yxrq;

    @ApiModelProperty(value = "备注")
    @TableField("BZ")
    private String bz;

    @ApiModelProperty(value = "手机号码")
    @TableField("AAC067")
    private String aac067;

    @ApiModelProperty(value = "人才卡号码")
    @TableField("RCKHM")
    private String rckhm;

    @ApiModelProperty(value = "公示期数")
    @TableField("GSQS")
    private String gsqs;

    @ApiModelProperty(value = "申请类型")
    @TableField("SQLX")
    private String sqlx;

    public String getRsZjGccrcDrlogLsh() {
        return rsZjGccrcDrlogLsh;
    }

    public void setRsZjGccrcDrlogLsh(String rsZjGccrcDrlogLsh) {
        this.rsZjGccrcDrlogLsh = rsZjGccrcDrlogLsh;
    }

    public String getDrph() {
        return drph;
    }

    public void setDrph(String drph) {
        this.drph = drph;
    }

    public String getDrjg() {
        return drjg;
    }

    public void setDrjg(String drjg) {
        this.drjg = drjg;
    }

    public String getSbyy() {
        return sbyy;
    }

    public void setSbyy(String sbyy) {
        this.sbyy = sbyy;
    }

    public String getAac003() {
        return aac003;
    }

    public void setAac003(String aac003) {
        this.aac003 = aac003;
    }

    public String getAac161() {
        return aac161;
    }

    public void setAac161(String aac161) {
        this.aac161 = aac161;
    }

    public String getAac058() {
        return aac058;
    }

    public void setAac058(String aac058) {
        this.aac058 = aac058;
    }

    public String getAac147() {
        return aac147;
    }

    public void setAac147(String aac147) {
        this.aac147 = aac147;
    }

    public String getAac004() {
        return aac004;
    }

    public void setAac004(String aac004) {
        this.aac004 = aac004;
    }

    public String getAac005() {
        return aac005;
    }

    public void setAac005(String aac005) {
        this.aac005 = aac005;
    }

    public String getAac011() {
        return aac011;
    }

    public void setAac011(String aac011) {
        this.aac011 = aac011;
    }

    public String getRdzyyj() {
        return rdzyyj;
    }

    public void setRdzyyj(String rdzyyj) {
        this.rdzyyj = rdzyyj;
    }

    public String getRcklx() {
        return rcklx;
    }

    public void setRcklx(String rcklx) {
        this.rcklx = rcklx;
    }

    public String getZczymc() {
        return zczymc;
    }

    public void setZczymc(String zczymc) {
        this.zczymc = zczymc;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public String getGwszxsq() {
        return gwszxsq;
    }

    public void setGwszxsq(String gwszxsq) {
        this.gwszxsq = gwszxsq;
    }

    public String getLdhtqx() {
        return ldhtqx;
    }

    public void setLdhtqx(String ldhtqx) {
        this.ldhtqx = ldhtqx;
    }

    public String getLdhtjzrq() {
        return ldhtjzrq;
    }

    public void setLdhtjzrq(String ldhtjzrq) {
        this.ldhtjzrq = ldhtjzrq;
    }

    public String getQfsj() {
        return qfsj;
    }

    public void setQfsj(String qfsj) {
        this.qfsj = qfsj;
    }

    public String getYxrq() {
        return yxrq;
    }

    public void setYxrq(String yxrq) {
        this.yxrq = yxrq;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public String getAac067() {
        return aac067;
    }

    public void setAac067(String aac067) {
        this.aac067 = aac067;
    }

    public String getRckhm() {
        return rckhm;
    }

    public void setRckhm(String rckhm) {
        this.rckhm = rckhm;
    }

    public String getGsqs() {
        return gsqs;
    }

    public void setGsqs(String gsqs) {
        this.gsqs = gsqs;
    }

    public String getSqlx() {
        return sqlx;
    }

    public void setSqlx(String sqlx) {
        this.sqlx = sqlx;
    }
}
